TestUsageString (JSAP: the Java Simple Argument Parser)
Keywords: com.martiansoftware.jsap.TestUsageString class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.jsap
Class TestUsageString

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.martiansoftware.jsap.TestUsageString

All Implemented Interfaces:
  junit.framework.Test

    public class TestUsageString

extends junit.framework.TestCase

Tests the ability to automatically create usage information.

Author:
  Marty Lamb

Constructor Summary
`TestUsageString(String arg0)` Creates a new TestCase with the specified name.

Method Summary
`static junit.framework.Test` | `suite()` Returns a suite of tests defined by this class.
`void` | `testUsage1()` Tests usage info for a single option, both required and not required.
`void` | `testUsage2()` Tests usage info for a Switch.

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestUsageString

    public TestUsageString(String arg0)

  Creates a new TestCase with the specified name.

  Parameters:
    `arg0` - the name for this TestCase.

Method Detail

### suite

    public static junit.framework.Test suite()

  Returns a suite of tests defined by this class.

  Returns:
    a suite of tests defined by this class.

### testUsage1

    public void testUsage1()

  Tests usage info for a single option, both required and not required.

### testUsage2

    public void testUsage2()

  Tests usage info for a Switch.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005, Martian Software, Inc.. All Rights Reserved.
For the latest version and documentation, please visit http://www.martiansoftware.com/jsap